[P009]Receive Patent List by Image Search ID V2

get
https://connect.patsnap.com/image-search/results
Try in Sandbox

Receiving similar design patents by Image search id. By default, the similarity is sorted from high to low, and one call can return up to 100 similar design patents.

After the Search ID is generated, patent acquisition is recommended within 20 minutes. If you need to obtain similar patents ranked lower, please pay attention to the setting of the request parameter (offset) to avoid repeated acquisition.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
search_id
Required
stringC8C1EC5B3B068562CEFA779B7CC9C7F5-1-D
search task id
loc
string(01-01 OR 01-02)
LOC is the classification for Industrial Designs. Enter LOC code, use AND/OR/NOT to connect multiple codes.
assignees
string华为
all assignees
legal_status
string3,2
patent legal status 1: disclosure 2: substantive review 3: authorization 8: avoidance of reauthorization 11: withdrawal 13: rejection 14: full cancellation 15: expiration 16: unpaid annual fee 21: restoration of rights 22: Termination of rights 23: Partial invalidation 24: application for termination 30: abandonment 222: PCT International Announcement 223: PCT enters designated country (specified period) 224: PCT enters designated country (specified period) 225: PCT does not enter designated country
country
stringCN,US
patent authority code For the authority code, refer to https://analytics.patsnap.com/status, Multiple items can be searched, separated by comma.
simple_legal_status
string1,2
patent simple legal status 0:Inactive 1:Active 2:Pending 220:PCT designated stage expired 221:PCT designated stage 999:Undetermined, Multiple items can be searched, separated by comma.
main_field
stringcar
patent main field The main field includes: title, abstract, claims, description, publication number, application number, applicant, inventor and IPC/UPC/LOC classification numbers.
apply_start_time
string20100101
Patent apply date from, format:yyyyMMdd
apply_end_time
string20200101
Patent apply date to, format:yyyyMMdd
public_start_time
string20100101
Patent publication date from, format:yyyyMMdd
public_end_time
string20200101
Patent publication date to, format:yyyyMMdd
limit
integer<int32>10
Returns the number of patents, 1 <= limit <= 100,default is 10
offset
integer<int32>10
0 <= offset <= 1000, default is 0 If you want to get patents that are ranked lower than 100, you can set offset=100
field
stringPBD
field sort.field support APD,PBD,ISD
order
stringdesc
order supports desc,asc. The default desc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
patent_messages
arrayPlease check the form: PatentMessage
similar patent information
url
stringhttps://img2.baidu.com/it/u=3901385603,500927275&fm=253&fmt=auto&app=138&f=JPEG?w=680&h=434
similar image url
score
number0.99
similar score
title
string智能手表
patent title
patent_id
string002853ca-7b58-4b11-8142-7525a466491e
similar patent ID
patent_pn
stringHK04110995S
similar patent number
total_search_result_count
integer<int32>100
number of search results
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "patent_messages": [
      {
        "url": "https://img2.baidu.com/it/u=3901385603,500927275&fm=253&fmt=auto&app=138&f=JPEG?w=680&h=434",
        "score": 0.99,
        "title": "智能手表",
        "patent_id": "002853ca-7b58-4b11-8142-7525a466491e",
        "patent_pn": "HK04110995S"
      }
    ],
    "total_search_result_count": 100
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success